 %mean free path of condensation process (m)
 
 %Peter Tunved 2015




function mean_path_cond=mean_path_cond(dif_vap, dif_part, temp, mass)


if nargin==3
    Na=6.022e23;
    molec_mass=M_gas/Na;
    boltzmann = 1.3807e-23;
   mean_path_cond=3*(dif_vap + dif_part)/sqrt(8*boltzmann*temp/pi*(1./molec_mass + 1./mass));
    
else
    
    error('Function need four input parameters: diffusion_coeff vapour (Dg), diffusion coeff particle (Dp), temp (T), mass of particle (m)')
    
end