



function [n_nuc, units]=nucleation(h2so4, nuc_coeff, molec_vol, bin_radius)

        nuc_rate = nuc_coeff*h2so4;                                           %[#/m^3 s]
        n_sa = 1.0;
        
        %Allocate number to smallest bin. Requires that model is run for
        %small enough sizes (Dp=0.5nm)
        
        %Calculate number of clusters formed in bin 1
        
        core_nuc = n_sa*molec_vol ;                                         % volume of sulphuric acid core of nucleated particles

	
		n_nuc = nuc_rate*core_nuc/(4*pi/3*bin_radius^3) ;                                      % here we conserve number, volume overestimated
		





